Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class GraphUtils

    java.lang.Object
      de.grogra.graph.GraphUtils

    public final class GraphUtils

extends java.lang.Object

Field Summary
`static I18NBundle` | `I18N`

Method Summary
`static void` | `acceptPath(Path pathToFollow, Visitor visitor, ArrayPath placeInPath)`
`static Path` | `cutToGraph(Path path, Graph graph)`
`static boolean` | `equal(Path p, Path q)`
`static java.lang.Object` | `getEdge(Graph graph, java.lang.Object source, java.lang.Object target, EdgePattern pattern, boolean ignoreDirection)`
`static java.lang.Object` | `getFirstIncomingNode(Graph graph, java.lang.Object node)`
`static java.lang.Object` | `getFirstOutgoingNode(Graph graph, java.lang.Object node)`
`static Path` | `getTreePath(GraphState gs, java.lang.Object obj, boolean node)`
`static int` | `lastIndexOfGraph(Path path, Graph graph)`
`static int` | `lastIndexOfTree(Path path, GraphState gs)`
`static boolean` | `matches(EdgePattern p, Graph g, java.lang.Object edgeSet, boolean toTarget)`
`static boolean` | `matchesTerminalEdge(EdgePattern p, Path path)`
`static boolean` | `nodesEqual(Path p, Path q)`
`static boolean` | `testEdgeBits(int edgeBits, int mask)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### I18N

    public static final I18NBundle I18N

Method Detail

### acceptPath

    public static void acceptPath(Path pathToFollow,
                                  Visitor visitor,
                                  ArrayPath placeInPath)

### cutToGraph

    public static Path cutToGraph(Path path,
                                  Graph graph)

### equal

    public static boolean equal(Path p,
                                Path q)

### getEdge

    public static java.lang.Object getEdge(Graph graph,
                                           java.lang.Object source,
                                           java.lang.Object target,
                                           EdgePattern pattern,
                                           boolean ignoreDirection)

### getFirstIncomingNode

    public static java.lang.Object getFirstIncomingNode(Graph graph,
                                                        java.lang.Object node)

### getFirstOutgoingNode

    public static java.lang.Object getFirstOutgoingNode(Graph graph,
                                                        java.lang.Object node)

### getTreePath

    public static Path getTreePath(GraphState gs,
                                   java.lang.Object obj,
                                   boolean node)

### lastIndexOfGraph

    public static int lastIndexOfGraph(Path path,
                                       Graph graph)

### lastIndexOfTree

    public static int lastIndexOfTree(Path path,
                                      GraphState gs)

### matches

    public static boolean matches(EdgePattern p,
                                  Graph g,
                                  java.lang.Object edgeSet,
                                  boolean toTarget)

### matchesTerminalEdge

    public static boolean matchesTerminalEdge(EdgePattern p,
                                              Path path)

### nodesEqual

    public static boolean nodesEqual(Path p,
                                     Path q)

### testEdgeBits

    public static final boolean testEdgeBits(int edgeBits,
                                             int mask)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD